Support » Plugin: AMP » The tag ‘amp-ad extension .js script’ appears more than once in the document.

  • Resolved Udegbunam Chukwudi

    (@strictlyonlinebiz)


    I updated the plugin to te latest version yesterday evening and woke up to 10 error messages from Google Search Console saying

    “The tag ‘amp-ad extension .js script’ appears more than once in the document.”

    It would appear as though the new update is auto adding <script type=’text/javascript’ src=’https://cdn.ampproject.org/v0/amp-ad-latest.js’ async custom-element=”amp-ad”></script> which is what is triggering this error

    To fix this I had to remove <script async custom-element=”amp-ad” src=”https://cdn.ampproject.org/v0/amp-ad-0.1.js”></script> from my theme

    I just want to confirm if my theory about the new plugin update autoinjecting the new amp-ad script tag is correct and if I should worry about this functionality being removed from the plugin at a future date. Thanks

Viewing 4 replies - 1 through 4 (of 4 total)
  • Plugin Author Weston Ruter

    (@westonruter)

    That’s correct. If you have AMP components in your content then the component scripts will automatically be included.

    Note that the best way to have included the AMP component scripts which would have prevented this error from happening is to do:

    add_filter( 'amp_post_template_data', function( $data ) {
    	$data['amp_component_scripts'] = array_merge(
    		$data['amp_component_scripts'],
    		array(
    			'amp-ad' => 'https://cdn.ampproject.org/v0/amp-ad-latest.js',
    		)
    	);
    	return $data;
    } );

    I’m assuming you’re used something like the amp_post_template_head action to add the scripts in your theme. If you had used the amp_post_template_data filter to inject the amp-ad script, then there shouldn’t have been a warning when upgrading to v0.7.

    The auto-injection of the component script dependencies won’t be removed at a future date.

    Thanks a lot sir @westonruter.

    I’ll stick with the auto-injection 😀

    Funny thing just happened. Google Search Console sent an alert that amp ad extension is missing. I had to put it back again and guess what, the auto injection has stopped too.

    Moderator Jan Dembowski

    (@jdembowski)

    Forum Moderator and Brute Squad

    I’m closing this topic and other users are piling on (and have had those replies archived). This topic was already resolved.

    If you need support then per the forum guidelines please start your own topic.

    https://wordpress.org/support/guidelines/#post-in-the-best-place

    You can do so here.

    https://wordpress.org/support/plugin/amp/#new-post

Viewing 4 replies - 1 through 4 (of 4 total)
  • The topic ‘The tag ‘amp-ad extension .js script’ appears more than once in the document.’ is closed to new replies.